<back to all web services

RetryTranslation

The following routes are available for this service:
POST/RestApi/translations/retry
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class RetryTranslation
    {
        public TranslationStatus TranslationStatus = null;
        public ArrayList<UUID> Ids = null;
        public Boolean ChangedFieldsOnly = null;
        
        public TranslationStatus getTranslationStatus() { return TranslationStatus; }
        public RetryTranslation setTranslationStatus(TranslationStatus value) { this.TranslationStatus = value; return this; }
        public ArrayList<UUID> getIds() { return Ids; }
        public RetryTranslation setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
        public Boolean isChangedFieldsOnly() { return ChangedFieldsOnly; }
        public RetryTranslation setChangedFieldsOnly(Boolean value) { this.ChangedFieldsOnly = value; return this; }
    }

    public static enum TranslationStatus
    {
        Marked(101),
        Sending(201),
        Sent(202),
        Received(301),
        Importing(302),
        Imported(303),
        Completed(304),
        Archived(401),
        Deleted(402),
        Rejected(403),
        SendingError(501),
        ImportingError(502),
        ReceivingError(503);

        private final int value;
        TranslationStatus(final int intValue) { value = intValue; }
        public int getValue() { return value; }
    }

}

Java RetryTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/retry HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}